The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Delete Some Domain Name Exceptions

Prev Next

This URL deletes the domain name exceptions specified in the string list.

Resource URL

DELETE /domainnameexceptions

Request Parameters

URL Parameters: None

Payload Request Parameters:

Field Name

Description

Data Type

Mandatory

domainName

List of name of domain exception

StringList

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

status

Set to 1 if the operation was successful

Number

Example

Request

DELETE https://<NSM_IP>/sdkapi/domainnameexceptions

Payload

{
	"domainName": ["www.google.com",
	"abc",
	"test"]
}

Response

{
"status": 1
}

Error Information

Following error code is returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

500

1001

Internal error message: Following domain names were not found: <domainname1>, <domainname2>, others have been deleted.